// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_FOptionalPinFromProperty.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_FOptionalPinFromProperty::SCW_FOptionalPinFromProperty(FOptionalPinFromProperty* InOptionalPinFromProperty) : OptionalPinFromProperty(*InOptionalPinFromProperty)
{

}

bool SCW_FOptionalPinFromProperty::GetShowPin() const
{
	return OptionalPinFromProperty.bShowPin;
}

FOptionalPinFromProperty& SCW_FOptionalPinFromProperty::ToFOptionalPinFromProperty()
{
	return OptionalPinFromProperty;
}

ISCW_FOptionalPinFromPropertyPtr SCW_FOptionalPinFromProperty::ToFOptionalPinFromPropertyPtr()
{
	return GetSharedThisAs<SCW_FOptionalPinFromProperty>();
}

ISCW_FOptionalPinFromPropertyConstPtr SCW_FOptionalPinFromProperty::ToFOptionalPinFromPropertyPtr() const
{
	return GetSharedThisAs<SCW_FOptionalPinFromProperty>();
}